# 32/64bit spec-file
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
%define prefix /usr
 
Summary:	QWinFF aims to be an intuitive yet useful media converting interface
Name:		qwinff
Version:	0.2.1
Release:	%mkrel 1
License:	GPLv3
Group:		Video
Source:		%{name}_%{version}.tar.xz
BuildRequires:	%{_lib}qt4-devel
Requires:	%{_lib}qtcore4
Requires:	ffmpeg
BuildRoot:	%{_tmppath}/%{name}-buildroot
 
%description
QWinFF aims to be an intuitive yet useful media converting interface.
It features a rich set of presets that can help average users to convert
between media formats without having to manually input every parameter; while
advanced users can still adjust detailed output options to meet their needs.

 
#================= PREP ==================
%prep
%setup -q
 
%build
%make PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%buildroot install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=Convert between media file formats
Comment[de]=Konverter für die gängigen Multimedia-Dateien
Comment[zh_TW]=轉換影音檔案格式
Name=QWinFF
GenericName=Media Converter
Comment[de]=Media Konverter
GenericName[zh_TW]=影音轉檔器
Exec=qwinff %U
Icon=qwinff
Type=Application
Terminal=false
X-KDE-StartupNotify=true
X-Desktop-File-Install-Version=0.21
Categories=X-MandrivaLinux-Multimedia-Video;
EOF

%find_lang %{name}
 
%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database} 
 
%clean
rm -rf $RPM_BUILD_ROOT
 
#================= FILES ==================
%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man*/qwinff.1*
%{_datadir}/pixmaps/qwinff.png
%{_datadir}/%{name}/constants.xml
%{_datadir}/%{name}/presets.xml
%{_datadir}/%{name}/translations/qwinff_cs_CZ.qm
%{_datadir}/%{name}/translations/qwinff_it_IT.qm
%{_datadir}/%{name}/translations/qwinff_ja_JP.qm
%{_datadir}/%{name}/translations/qwinff_zh_CN.qm
%{_datadir}/%{name}/translations/qwinff_zh_TW.qm
%{_datadir}/%{name}/translations/qwinff_ar.qm
%{_datadir}/%{name}/translations/qwinff_de.qm
%{_datadir}/%{name}/translations/qwinff_es_ES.qm
%{_datadir}/%{name}/translations/qwinff_es_GT.qm
%{_datadir}/%{name}/translations/qwinff_ro_RO.qm
%{_datadir}/%{name}/translations/qwinff_ru.qm
%{_datadir}/%{name}/translations/qwinff_tr_TR.qm
%{_datadir}/%{name}/translations/qwinff_hu_HU.qm
%{_datadir}/%{name}/translations/qwinff_pl_PL.qm






 
#================= CHANGELOG ==================
%changelog
* Wed Dec 07 2016 adrianomorselli <adrianomorselli> 0.2.1-1uplos2016
- rebuild

* Tue Jul 26 2016 daniel <meisssw01 at gmail.com> 0.2.1-1pclos2016
- update

* Thu Jul 09 2015 Agent Smith <ruidobranco@yahoo.com.br> 0.2.0-1pclos2015
- update

* Sat Nov 23 2013 daniel <meisssw01 at gmail.com> 0.1.9-1free2013
- update

* Sat Mar 02 2013 daniel <meisssw01 at gmail.com> 0.1.8-1leiche2013
initial package
